proxy:
  secretToken: "ce6a2537e832901289db9baa6cae09f93e652a1985f6a4370e0fdeaf140eb41a"
singleuser:
  serviceAccountName: default
  image:
    name: infra.docker.zooxlabs.com/jupyterhub
    tag: latest
    pullPolicy: Always
  cpu:
    guarantee: 4
  memory:
    guarantee: 4G
  storage:
    type: none
    extraVolumes:
      - name: mnt
        hostPath:
          path: /mnt
      - name: swinfra01
        hostPath:
          path: /nfs/sun-swinfra01
    extraVolumeMounts:
      - name: mnt
        mountPath: /mnt
      - name: swinfra01
        mountPath: /nfs/sun-swinfra01
hub:
  db:
    type: sqlite-memory
  extraConfig: |-
    c.KubeSpawner.notebook_dir = '/mnt/sun-pcs01/jupyterhub/'
    c.Authenticator.admin_users = ["kbambridge", "krong"]
    c.JupyterHub.admin_access = True
    def profile_list(self):
        profiles = [{
            'display_name': 'Production',
            'default': True,
        }]
        if self.user.admin:
            profiles.append({
                'display_name': 'Staging',
                'description': 'Staging environment from infra.docker.zooxlabs.com/jupyterhub:staging. Only visible to admins.',
                'kubespawner_override': {
                    'image_spec': 'infra.docker.zooxlabs.com/jupyterhub:staging'
                }
            })
        return profiles
    c.KubeSpawner.profile_list = profile_list

auth:
  type: google
  google:
    clientId: 635393513520-egk2tqddelskq2m896lvc3qbc1i7krqu.apps.googleusercontent.com
    clientSecret: JJSvXuA_sG0wT1EruWYSv5tC
    callbackUrl: https://jhub.zooxlabs.com/hub/oauth_callback
    hostedDomain: "zoox.com"
    loginService: "Zoox Inc."
